classification
Title: Add PyModule_AddType helper function
Type: enhancement Stage: resolved
Components: C API Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: corona10 Nosy List: aeros, corona10, shihai1991, vstinner
Priority: normal Keywords: patch

Created on 2020-03-20 09:39 by corona10, last changed 2020-04-01 22:33 by aeros. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 19088 merged corona10, 2020-03-20 09:42
PR 19119 merged corona10, 2020-03-23 17:02
PR 19205 merged corona10, 2020-03-28 15:24
Messages (7)
msg364661 - (view) Author: Dong-hee Na (corona10) * (Python triager) Date: 2020-03-20 09:39
See: https://github.com/python/cpython/pull/19084#discussion_r395486583
msg364809 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-03-22 16:17
New changeset 05e4a296ecc127641160a04f39cc02c0f66a8c27 by Dong-hee Na in branch 'master':
bpo-40024: Add PyModule_AddType() helper function (GH-19088)
https://github.com/python/cpython/commit/05e4a296ecc127641160a04f39cc02c0f66a8c27
msg364964 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-03-24 22:08
New changeset 37fcbb65d4589fbb5a72153e9338cf8e6495f64f by Dong-hee Na in branch 'master':
bpo-40024: Update C extension modules to use PyModule_AddType() (GH-19119)
https://github.com/python/cpython/commit/37fcbb65d4589fbb5a72153e9338cf8e6495f64f
msg365217 - (view) Author: Dong-hee Na (corona10) * (Python triager) Date: 2020-03-28 16:14
@vstinner

IMHO, we can close this issue after PR 19205 is merged.
Most of use cases are replaced to PyModule_AddType.
msg365253 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-03-29 14:12
New changeset 016bdd519d76c282bbe0220c67a49226b6262638 by Dong-hee Na in branch 'master':
bpo-40024: Update _elementtree to use PyModule_AddType() (GH-19205)
https://github.com/python/cpython/commit/016bdd519d76c282bbe0220c67a49226b6262638
msg365254 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-03-29 14:13
Thanks Dong-hee Na for fixing many reference leaks! I like the new PyModule_AddType() helper function.
msg365522 - (view) Author: Kyle Stanley (aeros) * (Python triager) Date: 2020-04-01 22:33
(disregard the above, the PR was mistakenly linked from a GitHub bug)
History
Date User Action Args
2020-04-01 22:33:07aerossetmessages: + msg365522
2020-04-01 22:31:45aerossetpull_requests: - pull_request18641
2020-04-01 22:06:02aerossetnosy: + aeros

pull_requests: + pull_request18641
2020-03-29 14:13:27vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg365254

stage: patch review -> resolved
2020-03-29 14:12:19vstinnersetmessages: + msg365253
2020-03-29 09:03:10shihai1991setnosy: + shihai1991
2020-03-28 16:14:25corona10setmessages: + msg365217
2020-03-28 15:31:06corona10settitle: Add _PyModule_AddType private helper function -> Add PyModule_AddType helper function
2020-03-28 15:24:32corona10setpull_requests: + pull_request18568
2020-03-24 22:08:58vstinnersetmessages: + msg364964
2020-03-23 17:02:57corona10setpull_requests: + pull_request18480
2020-03-22 16:17:41vstinnersetmessages: + msg364809
2020-03-20 09:42:24corona10setkeywords: + patch
stage: patch review
pull_requests: + pull_request18448
2020-03-20 09:39:49corona10create